Partially update a creative

Update one or more fields of a creative.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

A unique integer value identifying this creative.

Body Params

A mixin that should be inherited by a custom serializer to include the logic for validating warnings.

This mixin works by recursively descending into nested levels of the root serializer,
collecting warnings in a dictionary structure, and raising them at a higher level.

To implement warnings in a custom serializer, two types of methods must be used.
The first type is used to handle field errors: warn_<field name>().
The second type is used for non-field warnings: warn().

Usage:
class NestedSerializer(WarningsSerializerMixin, serializers.Serializer):
baz = serializers.IntegerField()

    def warn_baz(self, value):
        ...

    def warn(self, attrs):
        ....

class RootSerializer(WarningsSerializerMixin, serializers.Serializer):
    foo = NestedSerializer()
    bar = serializers.CharField()

    def warn_bar(self, value):
        ...

    def warn(self, attrs):
        ...

boolean
Defaults to true
integer

Defaults to the account in the active session

boolean
Defaults to true
string
length ≤ 250
integer
integer | null
string | null

An ID that may be used for any reporting or administrative purpose. Limited to 191 characters.

integer
-128 to 127

Unique ID of the line item type

integer
-128 to 127
integer | null
-2147483648 to 2147483647
integer | null
-2147483648 to 2147483647
integer
-128 to 127
uri | null

Target URL when a user clicks on the ad

string | null
attributes
object
string
Defaults to []
string
Defaults to []
string
Defaults to []
string
Defaults to [object Object]

JSON document dynamically populated based on template needs (see Creative Context docs)

string
Defaults to []
string
Defaults to []
string
Defaults to []
string
Defaults to []
string
Defaults to []
string | null
string
Defaults to []
integer | null
integer | null
integer | null
string | null
string

read-only, for internal use. Unique token for generated UI preview

date-time | null

Date/time when this creative is available for serving

date-time | null

Date/time when this creative become unavailable

date-time | null

read-only, for internal use. Indicates creative has been delivered to ad servers

date-time | null
integer | null
-128 to 127
integer | null
string | null
vendor_fees
array of objects

The list of the vendor fees objects.

vendor_fees
string | null

Free-form notes of up to 255 characters.

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

Validation errors.

404

Creative not found.

Language
Credentials
:
URL
LoadingLoading…
Response
Choose an example:
application/json